org.eclipse.cdt.utils.xcoff.parser

## Class XCOFFBinaryArchive

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.cdt.utils.BinaryFile
    - - org.eclipse.cdt.utils.xcoff.parser.XCOFFBinaryArchive

All Implemented Interfaces:
  IBinaryParser.IBinaryArchive, IBinaryParser.IBinaryFile, org.eclipse.core.runtime.IAdaptable

    public class XCOFFBinaryArchive
    extends BinaryFile
    implements IBinaryParser.IBinaryArchive

XCOFF32 binary archive

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryFile

`ARCHIVE, CORE, EXECUTABLE, OBJECT, SHARED`

### Constructor Summary

Constructors
Constructor and Description
`XCOFFBinaryArchive(IBinaryParser parser, org.eclipse.core.runtime.IPath path)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IBinaryParser.IBinaryObject[]` `getObjects()`

### Methods inherited from class org.eclipse.cdt.utils.BinaryFile

`getBinaryParser, getContents, getPath, getType, hasChanged`

### Methods inherited from class org.eclipse.core.runtime.PlatformObject

`getAdapter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryFile

`getBinaryParser, getContents, getPath, getType`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Constructor Detail

#### XCOFFBinaryArchive

    public XCOFFBinaryArchive(IBinaryParser parser,
                              org.eclipse.core.runtime.IPath path)
                       throws IOException

Parameters:
  `parser` -
  `path` -
Throws:
  `IOException`

### Method Detail

#### getObjects

    public IBinaryParser.IBinaryObject[] getObjects()

Specified by:
  `getObjects` in interface `IBinaryParser.IBinaryArchive`